lv.lumii.layoutengine

## Class OutsideLabel.BoxOutsideLabel

- java.lang.Object
- - lv.lumii.layoutengine.Element
  - - lv.lumii.layoutengine.AbstractContainer
    - - lv.lumii.layoutengine.Label
      - - lv.lumii.layoutengine.OutsideLabel
        - - lv.lumii.layoutengine.OutsideLabel.BoxOutsideLabel

- Enclosing class:
    OutsideLabel

      public static class OutsideLabel.BoxOutsideLabel
      extends OutsideLabel

  A class for box outside labels.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class lv.lumii.layoutengine.OutsideLabel

      `OutsideLabel.BoxOutsideLabel, OutsideLabel.LineLabel`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Box` | `getOwner()` Each element can be owned by some other element.
    `void` | `move(Box.BoxSide side, double position, Box box)` Moves this label to the given side of the given box at the given position.
    `void` | `move(java.awt.geom.Point2D.Double point, Box box)` Moves this box outside label to the given point onto the given box.
    `void` | `setAutoFlip(boolean state)` Sets the auto flip parameter for this label.

    - ### Methods inherited from class lv.lumii.layoutengine.OutsideLabel

      `createInsideLabel, flip, isAutoFlipped, isFlipped, resize, resize, setSpacing`

    - ### Methods inherited from class lv.lumii.layoutengine.Label

      `_convertToBoxOutsideLabel, _convertToInsideLabel, convertToBoxOutsideLabel, convertToBoxOutsideLabel, convertToInsideLabel, convertToInsideLabel, convertToLineLabel, convertToLineLabel, setMinHeight, setMinSize, setMinWidth`

    - ### Methods inherited from class lv.lumii.layoutengine.AbstractContainer

      `contains, createInsideLabel, createInsideLabel, findDescendantEnclosingRectangle, findNextRectangleEnclosingRectangle, getBottom, getBounds, getCenter, getCenterX, getCenterY, getHeight, getInsideLabels, getLayoutConstraints, getLeft, getMinHeight, getMinWidth, getRight, getTop, getWidth, remove, setConstraintType`

    - ### Methods inherited from class lv.lumii.layoutengine.Element

      `getDiagram, getSpacing, remove`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getOwner

          public Box getOwner()

      Description copied from class: `Element`
      Each element can be owned by some other element. When an owner is deleted, it deletes all objects owned by it. A box's owner is a container (or one of its derived classes — another box or diagram), a line is owned by a container. A label is owned by a box, a line, a label or a container. Container's owner is a container. A diagram is not owned by any other element.
      Overrides:
        `getOwner` in class `Element`
      Returns:
        the owner of this object, or possibly `null`, if this element is a diagram.

    - #### setAutoFlip

          public void setAutoFlip(boolean state)

      Description copied from class: `OutsideLabel`
      Sets the auto flip parameter for this label. If auto flip is set, then the label will be always flipped sideways (its width and height swapped) when placed on a vertical segment, so that it always runs along the segment (unless `OutsideLabel.flipped` is set, in which case this ensures the label always runs perpendicular to the segment).
      Specified by:
        `setAutoFlip` in class `OutsideLabel`
      Parameters:
        `state` - whether to set or unset the auto flip parameter

    - #### move

          public void move(java.awt.geom.Point2D.Double point,
                           Box box)

      Moves this box outside label to the given point onto the given box. The point is moved to the perimeter of the box if necessary. This operation can change this label's box side.
      Parameters:
        `point` - the point to move this label to. If this point is not on the perimeter of this label's box, it is moved there.
        `box` - the new box owner of this label

    - #### move

          public void move(Box.BoxSide side,
                           double position,
                           Box box)

      Moves this label to the given side of the given box at the given position.
      Parameters:
        `side` - the side of this labels box to move it to
        `position` - the position on this side to place the label at, as a proportion of the whole length of the side. Must be between 0 and 1, inclusive.
        `box` - the new box owner of this label